package com.meas.system.domain;

import com.meas.common.annotation.Excel;
import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 透过率对象 meas_transmission_rate
 *
 * @author wgk
 * @date 2024-06-13
 */
public class MeasTransmissionRate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 测量环境id
     */
    @Excel(name = "测量环境id")
    private Long measurementBatchId;

    /**
     * 发动机型号
     */
    private String engineModel;

    /**
     * 几何模型文件
     */
    private String geometryFiles;

    /**
     * 几何模型图片
     */
    private String geometryImage;

    /**
     * 测量批次
     */
    private String measurementBatch;

    /**
     * 发动机状态
     */
    private String engineStatus;

    /**
     * 角度
     */
    private String angle;

    /**
     * 原始数据
     */
    @Excel(name = "原始数据")
    private String rawData;

    /**
     * 透过率曲线3~5μm
     */
    @Excel(name = "透过率曲线3~5μm")
    private String curve1;

    /**
     * 透过率曲线8~14μm
     */
    @Excel(name = "透过率曲线8~14μm")
    private String curve2;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMeasurementBatchId() {
        return measurementBatchId;
    }

    public void setMeasurementBatchId(Long measurementBatchId) {
        this.measurementBatchId = measurementBatchId;
    }

    public String getRawData() {
        return rawData;
    }

    public void setRawData(String rawData) {
        this.rawData = rawData;
    }

    public String getCurve1() {
        return curve1;
    }

    public void setCurve1(String curve1) {
        this.curve1 = curve1;
    }

    public String getCurve2() {
        return curve2;
    }

    public void setCurve2(String curve2) {
        this.curve2 = curve2;
    }

    public String getEngineModel() {
        return engineModel;
    }

    public void setEngineModel(String engineModel) {
        this.engineModel = engineModel;
    }

    public String getGeometryFiles() {
        return geometryFiles;
    }

    public void setGeometryFiles(String geometryFiles) {
        this.geometryFiles = geometryFiles;
    }

    public String getGeometryImage() {
        return geometryImage;
    }

    public void setGeometryImage(String geometryImage) {
        this.geometryImage = geometryImage;
    }

    public String getMeasurementBatch() {
        return measurementBatch;
    }

    public void setMeasurementBatch(String measurementBatch) {
        this.measurementBatch = measurementBatch;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }

    public String getAngle() {
        return angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    @Override
    public String toString() {
        return "MeasTransmissionRate{" +
                "id=" + id +
                ", measurementBatchId=" + measurementBatchId +
                ", engineModel='" + engineModel + '\'' +
                ", geometryFiles='" + geometryFiles + '\'' +
                ", geometryImage='" + geometryImage + '\'' +
                ", measurementBatch='" + measurementBatch + '\'' +
                ", engineStatus='" + engineStatus + '\'' +
                ", angle='" + angle + '\'' +
                ", rawData='" + rawData + '\'' +
                ", curve1='" + curve1 + '\'' +
                ", curve2='" + curve2 + '\'' +
                '}';
    }
}
